# DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry`, `DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getEntryId()` Unique identifier associated the message.
`com.google.protobuf.ByteString` `getEntryIdBytes()` Unique identifier associated the message.
`DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus` `getStatus()` The status of the response.
`int` `getStatusValue()` The status of the response.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getEntryId

    String getEntryId()

     Unique identifier associated the message.

`string entry_id = 1;`

Returns:
  The entryId.

#### getEntryIdBytes

    com.google.protobuf.ByteString getEntryIdBytes()

     Unique identifier associated the message.

`string entry_id = 1;`

Returns:
  The bytes for entryId.

#### getStatusValue

    int getStatusValue()

     The status of the response.

`.dapr.proto.runtime.v1.TopicEventResponse.TopicEventResponseStatus status = 2;`

Returns:
  The enum numeric value on the wire for status.

#### getStatus

    DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus getStatus()

     The status of the response.

`.dapr.proto.runtime.v1.TopicEventResponse.TopicEventResponseStatus status = 2;`

Returns:
  The status.